aboutsummaryrefslogtreecommitdiff
path: root/libc/ci/dox.sh
diff options
context:
space:
mode:
authorDaniel Mueller <deso@posteo.net>2019-08-15 08:11:13 -0700
committerDaniel Mueller <deso@posteo.net>2019-08-15 08:11:13 -0700
commit155f9b7e7f36975240ef93f3daf983b228592a11 (patch)
treeb407ef697d1241cdbc46bc0b5a8545c63a7bafad /libc/ci/dox.sh
parent49f5194e16db47b6de9847b79840c6fe35e0df8c (diff)
downloadnitrocli-155f9b7e7f36975240ef93f3daf983b228592a11.tar.gz
nitrocli-155f9b7e7f36975240ef93f3daf983b228592a11.tar.bz2
Update libc crate to 0.2.62
This change updates the libc crate to version 0.2.62. Import subrepo libc/:libc at 37f8f8dc233a79ea9cc89b102aa30ff6e402fe94
Diffstat (limited to 'libc/ci/dox.sh')
-rw-r--r--libc/ci/dox.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/libc/ci/dox.sh b/libc/ci/dox.sh
index ce55081..febe18b 100644
--- a/libc/ci/dox.sh
+++ b/libc/ci/dox.sh
@@ -13,6 +13,14 @@ PLATFORM_SUPPORT=platform-support.md
rm -rf $TARGET_DOC_DIR
mkdir -p $TARGET_DOC_DIR
+if ! rustc --version | grep -E "nightly" ; then
+ echo "Building the documentation requires a nightly Rust toolchain"
+ exit 1
+fi
+
+rustup component add rust-src
+cargo +nightly install cargo-xbuild -Z install-upgrade
+
# List all targets that do currently build successfully:
# shellcheck disable=SC1003
grep '[\d|\w|-]* \\' ci/build.sh > targets
@@ -39,10 +47,13 @@ while read -r target; do
rustup target add "${target}" || true
+ # Enable extra configuration flags:
+ export RUSTDOCFLAGS="--cfg freebsd11"
+
# If cargo doc fails, then try xargo:
if ! cargo doc --target "${target}" \
--no-default-features --features extra_traits ; then
- xargo doc --target "${target}" \
+ cargo xdoc --target "${target}" \
--no-default-features --features extra_traits
fi
@@ -61,10 +72,3 @@ set -x
# Copy the licenses
cp LICENSE-* $TARGET_DOC_DIR/
-
-# If we're on travis, not a PR, and on the right branch, publish!
-if [ "$TRAVIS_PULL_REQUEST" = "false" ] && [ "$TRAVIS_BRANCH" = "master" ]; then
- pip install ghp_import --install-option="--prefix=$HOME/.local"
- "${HOME}/.local/bin/ghp-import" $TARGET_DOC_DIR
- git push -qf "https://${GH_TOKEN}@github.com/${TRAVIS_REPO_SLUG}.git" gh-pages
-fi